Bug 526055 - Review Request: alure - AL Utilities REtooled
Summary: Review Request: alure - AL Utilities REtooled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 14:58 UTC by Guido Grazioli
Modified: 2009-11-07 00:22 UTC (History)
5 users (show)

Fixed In Version: 1.0-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 00:21:47 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Guido Grazioli 2009-09-28 14:58:24 UTC
Spec URL: 
http://guidograzioli.fedorapeople.org/packages/alure/libalure.spec
SRPM URL: 
http://guidograzioli.fedorapeople.org/packages/alure/libalure-1.0-2.fc11.src.rpm
Description: 
ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.

Comment 1 Alexey Torkhov 2009-09-29 11:34:58 UTC
Few notes about the package:
- Name package just "alure". Prefixing library packages with lib is debian scheme, we try to name package closer to upstream name.
This:
> %setup -q -n alure-%{version}
could then be changed simply to (default for -n is %{name}-%{version}:
> %setup -q

- About license, if they does not name LGPL version anywhere, that means any version of LGPL and license tag should contain LGPLv2+.
They also do carry some GPL'ed script in docs. If it ends up in package, this adds GPL+ to tag.

Comment 2 Guido Grazioli 2009-09-29 12:17:59 UTC
(In reply to comment #1)
> Few notes about the package:
> - Name package just "alure". Prefixing library packages with lib is debian
> scheme, we try to name package closer to upstream name.
> This:
> > %setup -q -n alure-%{version}
> could then be changed simply to (default for -n is %{name}-%{version}:
> > %setup -q
> 

OK

> - About license, if they does not name LGPL version anywhere, that means any
> version of LGPL and license tag should contain LGPLv2+.
> They also do carry some GPL'ed script in docs. If it ends up in package, this
> adds GPL+ to tag.  

Right, i found this one from author:
http://www.nabble.com/ALURE-1.0-Debian-packages-td23972602.html
confirming it's LGPLv2+.
Some files under doc are part of NaturalDocs, which is under GPLv2+.
So License is LGPLv2+ and GPLv2+

Thanks for looking at this, updated file here:
Spec URL: 
http://guidograzioli.fedorapeople.org/packages/alure/alure.spec
SRPM URL: 
http://guidograzioli.fedorapeople.org/packages/alure/alure-1.0-3.fc11.src.rpm

Comment 3 Martin Gieseking 2009-10-01 18:48:02 UTC
Here is my review of your package. I only found a few minor issues to be fixed. The -devel package should get its own license tag since GPLv2+ of NaturalDocs applies to the -devel package only.
Additionally, some further suggestions:

- The tarball contains two example files that could help developers to
  understand how to use the library. You should add the folder examples/ to the -devel package.

- I recommend to explicitly list the name of the include directory since it's easier to see where the header files go:
%{_includedir}/AL/

- please add a blank line between the changelog entries


$ rpmlint /var/lib/mock/fedora-11-x86_64/result/alure-*
4 packages and 0 specfiles checked; 0 errors, 0 warnings.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.

[+] MUST: The spec file name must match the base package %{name}.

[+] MUST: The package must meet the Packaging Guidelines.

[+] MUST: The package must be licensed with a Fedora approved license.
    - files in tarball and the website indicate LGPLv2
    - according to the link given above, LGPLv2+ is intended
    - tarball contains files from NaturalDocs which is licensed under GPLv2+  
    - website of NaturalDocs links to GPLv3+ license text

[X] MUST: The License field in the package spec file must match the actual license.
    - the base package is licensed under LGPLv2+ only
    - the devel package contains the NaturalDocs files, so that its own license tag should be "LGPLv2+ and GPLv2+"

[+] MUST: file containing the text of the license(s) for the package must be included in %doc.
    - COPYING added to %doc

[+] MUST: The spec file must be written in American English.

[+] MUST: The spec file for the package MUST be legible.

[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
    $ sha1sum alure-1.0-src.tar.bz2*
    ec97ff5d418b8e1fd89b8c056b9ea22c98671b65  alure-1.0-src.tar.bz2
    ec97ff5d418b8e1fd89b8c056b9ea22c98671b65  alure-1.0-src.tar.bz2.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build: 
    https://koji.fedoraproject.org/koji/taskinfo?taskID=1722519

[.] MUST: If the package does not successfully compile, ...

[+] MUST: All build dependencies must be listed in BuildRequires.

[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
    - no locales 

[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
    - not relocatable

[+] MUST: A package must own all directories that it creates. 

[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[+] MUST: Permissions on files must be set properly.

[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.

[+] MUST: Each package must consistently use macros.

[+] MUST: The package must contain code, or permissable content.

[.] MUST: Large documentation files must go in a -doc subpackage.
    - NaturalDocs documentation of the library placed in -devel package

[+] MUST: files in %doc must not affect the runtime of the application.

[+] MUST: Header files must be in a -devel package.

[.] MUST: Static libraries must be in a -static package.
    - no static libraries built

[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
    libalure.so added to -devel package

[+] MUST: devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
    - .la files removed in %install section

[.] MUST: GUI applications must include a %{name}.desktop file.
    - no GUI

[+] MUST: Packages must not own files or directories already owned by other packages.
    - directory %{_includedir}/AL/ is also owned by openal-devel
    - this is OK according to http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.

[+] MUST: All filenames in rpm packages must be valid UTF-8.


[X] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
    - upstream should be ask to include the GPLv2 license text needed for the NaturalDocs files

[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - builds in koji
 
[+] SHOULD: The reviewer should test that the package functions as described. 
    - the examples coming with the tarball build and work as expected

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

[+] SHOULD: pkgconfig(.pc) should be placed in a -devel pkg.

Comment 4 Guido Grazioli 2009-10-01 21:50:14 UTC
Hello thanks for looking into this.

I applied your change requests and will contact upstream asap asking to include
the license for NaturalDocs files, and possibly the two patches i wrote.

Updated files here:
http://guidograzioli.fedorapeople.org/packages/alure/alure.spec
http://guidograzioli.fedorapeople.org/packages/alure/alure-1.0-4.fc11.src.rpm

Comment 5 Martin Gieseking 2009-10-02 12:04:34 UTC
(In reply to comment #4)
> I applied your change requests and will contact upstream asap asking to include
> the license for NaturalDocs files, and possibly the two patches i wrote.
OK, fine. Maybe you can also ask upstream to add the complete copyright notice to the source files (as mentioned in section "How to Apply These Terms to Your New Programs" of the LGPL license text). Otherwise it's hard to determine that LGPLv2+ is intended.

Furthermore, COPYING contains the text of the old outdated GNU *Library* General Public License. Perhaps the author also wants to update it to the GNU *Lesser* General Public License.

The license issues are things to be fixed upstream and no blockers here. Apart from them, everything looks fine now.

------------------------
The package is APPROVED.
------------------------

Comment 6 Guido Grazioli 2009-10-02 13:48:05 UTC
Thanks Martin

New Package CVS Request
=======================
Package Name: alure
Short Description: AL Utilities REtooled
Owners: guidograzioli
Branches: F-10 F-11 
InitialCC:

Comment 7 Kevin Fenzi 2009-10-03 21:25:42 UTC
cvs done with F-12 branch added.

Comment 8 Fedora Update System 2009-10-04 22:37:56 UTC
alure-1.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/alure-1.0-4.fc10

Comment 9 Fedora Update System 2009-10-04 22:38:08 UTC
alure-1.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/alure-1.0-4.fc11

Comment 10 Fedora Update System 2009-10-06 09:57:07 UTC
alure-1.0-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alure'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10241

Comment 11 Fedora Update System 2009-10-06 10:05:13 UTC
alure-1.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alure'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10267

Comment 12 Fedora Update System 2009-11-07 00:21:42 UTC
alure-1.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-07 00:22:46 UTC
alure-1.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.